Subject: Re: include file problems
From: "Dr. Volker Zell" <[email-masked]>
To: "Daniel Childs" <[email-masked]>
Cc: <[email-masked]>
Date: 25 Mar 2001 11:58:11 +0100

>>>>> "Daniel" == Daniel Childs <[email-masked]> writes:

    Daniel> I'm trying to compile Winboard and I get this error:

For me it used to compiled with the following Makefile:

---------------------- cut here ----------------------------

# Uncomment both lines to turn on debugging symbols #######
cdebug= -g
linkdebug= -g
#######################################################

proj=winboard
allobj=  winboard.o backend.o parser.o moves.o lists.o \
	 gamelist.o pgntags.o wedittags.o wgamelist.o zippy.o \
         wsockerr.o wbres.o wclipbrd.o woptions.o

CFLAGS=
CVARS= -I. -I/usr/include/mingw -mwin32
CC = gcc $(CVARS)
WCC = $(CC) -mwin32 -Xlinker "-e" -Xlinker "_mainCRTStartup"
LD = ld

all: $(proj).exe

# Update the help file if necessary
#	$(proj).hlp : $(proj).rtf
#	$(hc) $(proj).hpj
#	cat $(proj).err

# Update the resource if necessary
wbres.o: $(proj).rc $(proj).h resource.h
	windres --include-dir /usr/include/w32api/ $< -O coff -o $@

# Update the object files if necessary

parser.c: parser.l
	flex -L parser.l
	cp lex.yy.c parser.c

$(proj).exe: $(allobj) $(proj).hlp $(proj).rc
	$(WCC) $(guiflags) $(allobj) \
	-lwsock32 -lcomctl32 -lwinmm  -lkernel32 \
	-ladvapi32 -luser32 -lgdi32 -lcomdlg32 -lwinspool \
	-L/lib/mingw -lcrtdll -lcoldname \
	-o $(proj).exe

clean:
	rm *.o parser.c

---------------------- cut here ----------------------------

    Daniel> Daniel Childs

Ciao
  Volker

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple